echo off
echo "---------------------KeyWild CAD Library Africa Map-------------------------"
echo "                 Number of script files for this series:           23"
echo "               Total number of segments for this series:        4,489"
echo "         Total number of 'Coast' points for this series:      311,712"
echo "       Total number of 'Boundry' points for this series:      114,803"
echo "         Total number of 'River' points for this series:      597,474"
echo "                 Total number of points for this series:    1,023,989"
echo "----------------------------------------------------------------------------"
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
rem set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\Africa_map.dwg"
Time /T > Africa_map_times.txt
Time /T
timer.exe >> Africa_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "africa-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-boundaries(01).scr"
echo "africa-boundaries(02).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-boundaries(02).scr"
echo "africa-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-boundaries(03).scr"
echo "africa-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(01).scr"
echo "africa-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(02).scr"
echo "africa-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(03).scr"
echo "africa-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(04).scr"
echo "africa-coasts(06).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(06).scr"
echo "africa-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(07).scr"
echo "africa-coasts(08).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(08).scr"
echo "africa-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(09).scr"
echo "africa-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(10).scr"
echo "africa-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(01).scr"
echo "africa-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(02).scr"
echo "africa-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(03).scr"
echo "africa-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(04).scr"
echo "africa-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(05).scr"
echo "africa-rivers(06).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(06).scr"
echo "africa-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(07).scr"
echo "africa-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(08).scr"
echo "africa-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(10).scr"
echo "africa-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(11).scr"
echo "africa-rivers(13).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(13).scr"

Time /T >> Africa_map_times.txt
timer.exe /s /n /nologo >> Africa_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---