echo off
echo "---------------------KeyWild CAD Library Asia Map-------------------------"
echo "                 Number of script files for this series:           23"
echo "               Total number of segments for this series:       12,662"
echo "         Total number of 'Coast' points for this series:      923,900"
echo "       Total number of 'Boundry' points for this series:      106,153"
echo "         Total number of 'River' points for this series:      911,478"
echo "                 Total number of points for this series:    1,941,531"
echo "----------------------------------------------------------------------------"
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
rem set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\Asia_map.dwg"
Time /T > Asia_map_times.txt
Time /T
timer.exe >> Asia_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "asia-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-boundaries(01).scr"
echo "asia-boundaries(02).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-boundaries(02).scr"
echo "asia-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-boundaries(03).scr"
echo "asia-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(01).scr"
echo "asia-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(02).scr"
echo "asia-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(03).scr"
echo "asia-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(04).scr"
echo "asia-coasts(06).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(06).scr"
echo "asia-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(07).scr"
echo "asia-coasts(08).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(08).scr"
echo "asia-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(09).scr"
echo "asia-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(10).scr"
echo "asia-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(01).scr"
echo "asia-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(02).scr"
echo "asia-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(03).scr"
echo "asia-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(04).scr"
echo "asia-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(05).scr"
echo "asia-rivers(06).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(06).scr"
echo "asia-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(07).scr"
echo "asia-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(08).scr"
echo "asia-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(10).scr"
echo "asia-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(11).scr"
echo "asia-rivers(13).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(13).scr"

Time /T >> Asia_map_times.txt
timer.exe /s /n /nologo >> Asia_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---