echo off

rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
rem set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

rem ----------AFRICA----------------------------------------------
copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\Africa_map.dwg"
Time /T > Africa_map_times.txt
Time /T
timer.exe >> Africa_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "africa-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-boundaries(01).scr"
echo "africa-boundaries(02).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-boundaries(02).scr"
echo "africa-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-boundaries(03).scr"
echo "africa-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(01).scr"
echo "africa-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(02).scr"
echo "africa-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(03).scr"
echo "africa-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(04).scr"
echo "africa-coasts(06).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(06).scr"
echo "africa-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(07).scr"
echo "africa-coasts(08).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(08).scr"
echo "africa-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(09).scr"
echo "africa-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-coasts(10).scr"
echo "africa-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(01).scr"
echo "africa-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(02).scr"
echo "africa-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(03).scr"
echo "africa-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(04).scr"
echo "africa-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(05).scr"
echo "africa-rivers(06).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(06).scr"
echo "africa-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(07).scr"
echo "africa-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(08).scr"
echo "africa-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(10).scr"
echo "africa-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(11).scr"
echo "africa-rivers(13).scr"
"%CadProg%" /L  "%WorkDir%\Africa_map.dwg"  /b "%WorkDir%\scripts-large\africa-rivers(13).scr"

Time /T >> Africa_map_times.txt
timer.exe /s /n /nologo >> Africa_map_times.txt

rem ----------ASIA----------------------------------------------
copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\Asia_map.dwg"
Time /T > Asia_map_times.txt
Time /T
timer.exe >> Asia_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "asia-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-boundaries(01).scr"
echo "asia-boundaries(02).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-boundaries(02).scr"
echo "asia-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-boundaries(03).scr"
echo "asia-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(01).scr"
echo "asia-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(02).scr"
echo "asia-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(03).scr"
echo "asia-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(04).scr"
echo "asia-coasts(06).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(06).scr"
echo "asia-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(07).scr"
echo "asia-coasts(08).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(08).scr"
echo "asia-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(09).scr"
echo "asia-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-coasts(10).scr"
echo "asia-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(01).scr"
echo "asia-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(02).scr"
echo "asia-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(03).scr"
echo "asia-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(04).scr"
echo "asia-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(05).scr"
echo "asia-rivers(06).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(06).scr"
echo "asia-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(07).scr"
echo "asia-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(08).scr"
echo "asia-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(10).scr"
echo "asia-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(11).scr"
echo "asia-rivers(13).scr"
"%CadProg%" /L  "%WorkDir%\Asia_map.dwg"  /b "%WorkDir%\scripts-large\asia-rivers(13).scr"

Time /T >> Asia_map_times.txt
timer.exe /s /n /nologo >> Asia_map_times.txt

rem ----------EUROPE----------------------------------------------


copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\Europe_map.dwg"
Time /T > Europe_map_times.txt
Time /T
timer.exe >> Europe_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "europe-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-boundaries(01).scr"
echo "europe-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-boundaries(03).scr"
echo "europe-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(01).scr"
echo "europe-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(02).scr"
echo "europe-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(03).scr"
echo "europe-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(04).scr"
echo "europe-coasts(15).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(15).scr"
echo "europe-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(01).scr"
echo "europe-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(02).scr"
echo "europe-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(03).scr"
echo "europe-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(04).scr"
echo "europe-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(05).scr"
echo "europe-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(10).scr"
echo "europe-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(11).scr"

Time /T >> Europe_map_times.txt
timer.exe /s /n /nologo >> Europe_map_times.txt

rem ----------North_America----------------------------------------------

copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\North_America_map.dwg"
Time /T > North_America_map_times.txt
Time /T
timer.exe >> North_America_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "north_america-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-boundaries(01).scr"
echo "north_america-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(01).scr"
echo "north_america-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(02).scr"
echo "north_america-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(03).scr"
echo "north_america-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(04).scr"
echo "north_america-coasts(06).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(06).scr"
echo "north_america-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(07).scr"
echo "north_america-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(09).scr"
echo "north_america-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(10).scr"
echo "north_america-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(01).scr"
echo "north_america-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(02).scr"
echo "north_america-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(03).scr"
echo "north_america-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(04).scr"
echo "north_america-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(05).scr"
echo "north_america-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(07).scr"
echo "north_america-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(08).scr"
echo "north_america-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(10).scr"
echo "north_america-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(11).scr"
echo "north_america-rivers(13).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(13).scr"
echo "north_america-states(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-states(01).scr"
echo "north_america-states(03).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-states(03).scr"

Time /T >> North_America_map_times.txt
timer.exe /s /n /nologo >> North_America_map_times.txt

rem ----------South_America----------------------------------------------

copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\South_America_map.dwg"
Time /T > South_America_map_times.txt
Time /T
timer.exe >> South_America_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "south_america-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-boundaries(01).scr"
echo "south_america-boundaries(02).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-boundaries(02).scr"
echo "south_america-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-boundaries(03).scr"
echo "south_america-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(01).scr"
echo "south_america-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(02).scr"
echo "south_america-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(03).scr"
echo "south_america-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(04).scr"
echo "south_america-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(07).scr"
echo "south_america-coasts(08).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(08).scr"
echo "south_america-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(09).scr"
echo "south_america-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(10).scr"
echo "south_america-coasts(13).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(13).scr"
echo "south_america-coasts(14).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-coasts(14).scr"
echo "south_america-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(01).scr"
echo "south_america-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(02).scr"
echo "south_america-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(03).scr"
echo "south_america-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(04).scr"
echo "south_america-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(05).scr"
echo "south_america-rivers(06).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(06).scr"
echo "south_america-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(07).scr"
echo "south_america-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(08).scr"
echo "south_america-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\South_America_map.dwg"  /b "%WorkDir%\scripts-large\south_america-rivers(10).scr"

Time /T >> South_America_map_times.txt
timer.exe /s /n /nologo >> South_America_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---